## GtkPlotGdk GtkPlotGdk — GDK drawing backend (mapped to Cairo) |

## Functions

GtkObject * | gtk_plot_gdk_new ()
void | gtk_plot_gdk_construct ()
void | gtk_plot_gdk_set_drawable ()

## Types and Values

struct | GtkPlotGdk

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkPlotPC
                    ╰── GtkPlotGdk

## Includes

    #include <gtkextra.h>

## Description

This Subclass of GtkPlotPC has been rewritten to use Cairo drawing routines.

## Functions

### gtk_plot_gdk_new ()

    GtkObject *
    gtk_plot_gdk_new (GtkWidget *widget);

### gtk_plot_gdk_construct ()

    void
    gtk_plot_gdk_construct (GtkPlotGdk *pc,
                            GtkWidget *widget);

### gtk_plot_gdk_set_drawable ()

    void
    gtk_plot_gdk_set_drawable (GtkPlotGdk *gdk,
                               GdkDrawable *drawable);

## Types and Values

### struct GtkPlotGdk

    struct GtkPlotGdk;

The GtkPlotGdk struct contains only private data. It should only be accessed through the functions described below.